Class NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder
- java.lang.Object
-
- org.apache.camel.builder.endpoint.dsl.NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder
-
- Enclosing interface:
- NettyHttpEndpointBuilderFactory
public static class NettyHttpEndpointBuilderFactory.NettyHttpHeaderNameBuilder extends Object
The builder of headers' name for the Netty HTTP component.
-
-
Constructor Summary
Constructors Constructor Description NettyHttpHeaderNameBuilder()
-
Method Summary
All Methods Instance Methods Concrete Methods Modifier and Type Method Description Stringconnection()The value of the HTTP header connection to use.StringcontentType()To set the content-type of the HTTP body.StringhttpAuthentication()If the user was authenticated using HTTP Basic then this header is added with the value Basic.StringhttpCharacterEncoding()The charset from the content-type header.StringhttpMethod()The HTTP method used, such as GET, POST, TRACE etc.StringhttpPath()Allows to provide URI context-path and query parameters as a String value that overrides the endpoint configuration.StringhttpProtocolVersion()The version of the HTTP protocol.StringhttpQuery()Any query parameters, such as foo=bar&beer=yes.StringhttpRawQuery()Any query parameters, such as foo=bar&beer=yes.StringhttpResponseCode()Allows to set the HTTP Status code to use.StringhttpUri()The URI without protocol, host and port, etc: /myapp.StringhttpUrl()The URL including protocol, host and port, etc: http://0.0.0.0:8080/myapp.StringnettyCloseChannelWhenComplete()Indicates whether the channel should be closed after complete.
-
-
-
Method Detail
-
httpAuthentication
public String httpAuthentication()
If the user was authenticated using HTTP Basic then this header is added with the value Basic. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpAuthentication.
-
contentType
public String contentType()
To set the content-type of the HTTP body. For example: text/plain; charset=UTF-8. The option is a:Stringtype. Group: common- Returns:
- the name of the header
Content-Type.
-
connection
public String connection()
The value of the HTTP header connection to use. The option is a:Stringtype. Group: common- Returns:
- the name of the header
connection.
-
nettyCloseChannelWhenComplete
public String nettyCloseChannelWhenComplete()
Indicates whether the channel should be closed after complete. The option is a:Booleantype. Group: common- Returns:
- the name of the header
NettyCloseChannelWhenComplete.
-
httpResponseCode
public String httpResponseCode()
Allows to set the HTTP Status code to use. By default 200 is used for success, and 500 for failure. The option is a:Integertype. Group: common- Returns:
- the name of the header
HttpResponseCode.
-
httpProtocolVersion
public String httpProtocolVersion()
The version of the HTTP protocol. The option is a:Stringtype. Default: HTTP/1.1 Group: common- Returns:
- the name of the header
HttpProtocolVersion.
-
httpMethod
public String httpMethod()
The HTTP method used, such as GET, POST, TRACE etc. The option is a:Stringtype. Default: GET Group: common- Returns:
- the name of the header
HttpMethod.
-
httpQuery
public String httpQuery()
Any query parameters, such as foo=bar&beer=yes. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpQuery.
-
httpPath
public String httpPath()
Allows to provide URI context-path and query parameters as a String value that overrides the endpoint configuration. This allows to reuse the same producer for calling same remote http server, but using a dynamic context-path and query parameters. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpPath.
-
httpRawQuery
public String httpRawQuery()
Any query parameters, such as foo=bar&beer=yes. Stored in the raw form, as they arrived to the consumer (i.e. before URL decoding). The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpRawQuery.
-
httpUrl
public String httpUrl()
The URL including protocol, host and port, etc: http://0.0.0.0:8080/myapp. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpUrl.
-
httpCharacterEncoding
public String httpCharacterEncoding()
The charset from the content-type header. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpCharacterEncoding.
-
httpUri
public String httpUri()
The URI without protocol, host and port, etc: /myapp. The option is a:Stringtype. Group: common- Returns:
- the name of the header
HttpUri.
-
-